﻿using System.Collections.Generic;

using IBatisNet.DataMapper;
using IBatisNet.DataMapper.Configuration;

namespace TestProject
{
    /// <summary>
    /// 자료 DAO
    /// </summary>
    public class DataDAO
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 매퍼 구하기 - GetMapper()

        /// <summary>
        /// 매퍼 구하기
        /// </summary>
        /// <returns>SQL 매퍼 인터페이스</returns>
        public ISqlMapper GetMapper()
        {
            DomSqlMapBuilder builder = new DomSqlMapBuilder();

            ISqlMapper mapper = builder.Configure("SqlMap.config");

            return mapper;
        }

        #endregion

        #region 자료 리스트 구하기 - GetDataList()

        /// <summary>
        /// 자료 리스트 구하기
        /// </summary>
        /// <returns>자료 리스트</returns>
        public IList<DataModel> GetDataList()
        {
            ISqlMapper mapper = Mapper.Instance();

            IList<DataModel> list = mapper.QueryForList<DataModel>("DataDAO.GetDataList", null);

            return list;
        }

        #endregion
    }
}